package com.diagbot.facade;

import com.diagbot.client.CdssCoreClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.TermConceptDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.TermMatchingVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-06-15 16:46
 */
@Component
public class TermMatchingFacade {
    @Autowired
    CdssCoreClient cdssCoreClient;

    public List<TermConceptDTO> getTermMatchingAll(TermMatchingVO termMatchingVO) {
        RespDTO<List<TermConceptDTO>> termMatching = cdssCoreClient.getTermMatching(termMatchingVO);
        RespDTOUtil.respNGDealCover(termMatching, "术语匹配搜索失败");
        return termMatching.data;
    }
}
